org.keycloak.testutils

## Class KeycloakServer

- java.lang.Object
- - org.keycloak.testutils.KeycloakServer

-     public class KeycloakServer
      extends Object

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `KeycloakServer.KeycloakServerConfig`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakServer()`
    `KeycloakServer(KeycloakServer.KeycloakServerConfig config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeycloakServer` | `bootstrapKeycloakServer(String[] args)`
    `KeycloakServer.KeycloakServerConfig` | `getConfig()`
    `org.jboss.resteasy.plugins.server.undertow.UndertowJaxrsServer` | `getServer()`
    `KeycloakSessionFactory` | `getSessionFactory()`
    `void` | `importRealm(InputStream realm)`
    `void` | `importRealm(RealmRepresentation rep)`
    `static <T> T` | `loadJson(InputStream is, Class<T> type)`
    `static void` | `main(String[] args)`
    `protected void` | `setupDevConfig()`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeycloakServer

          public KeycloakServer()

    - #### KeycloakServer

          public KeycloakServer(KeycloakServer.KeycloakServerConfig config)

  - ### Method Detail

    - #### loadJson

          public static <T> T loadJson(InputStream is,
                       Class<T> type)

    - #### main

          public static void main(String[] args)
                           throws Throwable

      Throws:
        `Throwable`

    - #### bootstrapKeycloakServer

          public static KeycloakServer bootstrapKeycloakServer(String[] args)
                                                        throws Throwable

      Throws:
        `Throwable`

    - #### getSessionFactory

          public KeycloakSessionFactory getSessionFactory()

    - #### getServer

          public org.jboss.resteasy.plugins.server.undertow.UndertowJaxrsServer getServer()

    - #### getConfig

          public KeycloakServer.KeycloakServerConfig getConfig()

    - #### importRealm

          public void importRealm(InputStream realm)

    - #### importRealm

          public void importRealm(RealmRepresentation rep)

    - #### setupDevConfig

          protected void setupDevConfig()

    - #### start

          public void start()
                     throws Throwable

      Throws:
        `Throwable`

    - #### stop

          public void stop()

Copyright © 2015. All Rights Reserved.